Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1661277 - Upgrade from Satellite 6.3.4 to 6.4.0 fails in "Upgrade Step: clear_checksum_type..."
Summary: Upgrade from Satellite 6.3.4 to 6.4.0 fails in "Upgrade Step: clear_checksum_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.4.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: 6.4.2
Assignee: Stephen Benjamin
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 16:55 UTC by Mike McCune
Modified: 2019-10-30 19:28 UTC (History)
5 users (show)

Fixed In Version: katello-installer-base-3.7.0.14-1,tfm-rubygem-katello-3.7.0.45-1,katello-installer-base-3.7.0.15-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1641785
Environment:
Last Closed: 2019-02-13 19:08:20 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 25518 0 Normal Closed Upgrades can fail when repo has username but not password set (or vice versa) 2020-08-28 10:03:36 UTC
Red Hat Product Errata RHBA-2019:0345 0 None None None 2019-02-13 19:08:25 UTC

Comment 1 Evgeni Golov 2019-01-07 18:14:39 UTC
I *think* this is fixed by https://projects.theforeman.org/issues/25518, but for some reason the BZ→Redmine link was lost during clone wars.

Comment 2 Mike McCune 2019-01-08 15:41:25 UTC
re-added the upstream tracker, see the "clone of" field for the 6.5 changes for this bz

Comment 15 vijsingh 2019-01-25 05:26:51 UTC
ON_QA Failed:

Satellite 6.4.2 snap 1.0

Steps taken as below during upgrade:

 - Installed Satellite on 6.3.5 GA version
 - Created two repos
    a. one with upstream username only
    b. one with upstream password only
 - Tried to upgrade system @Satelltie 6.4.2 snap 1.0

Upgrade is failing as below and it looks that invalid credentials for repositories not getting clear on this upgrade step/ or before it:

++++++++++++++++++++++++++++++++++++
Upgrade Step: add_export_distributor (this may take a while) ...
/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP
/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here
/usr/share/foreman/lib/core_extensions.rb:182: warning: already initialized constant ActiveSupport::MessageEncryptor::DEFAULT_CIPHER
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/message_encryptor.rb:22: warning: previous definition of DEFAULT_CIPHER was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.46/app/models/katello/concerns/content_facet_host_extensions.rb:7: warning: already initialized constant Katello::Concerns::ContentFacetHostExtensions::ERRATA_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.46/app/models/katello/concerns/content_facet_host_extensions.rb:7: warning: previous definition of ERRATA_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.46/app/models/katello/concerns/content_facet_host_extensions.rb:14: warning: already initialized constant Katello::Concerns::ContentFacetHostExtensions::TRACE_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.46/app/models/katello/concerns/content_facet_host_extensions.rb:14: warning: previous definition of TRACE_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.46/app/models/katello/concerns/subscription_facet_host_extensions.rb:13: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::SUBSCRIPTION_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.46/app/models/katello/concerns/subscription_facet_host_extensions.rb:13: warning: previous definition of SUBSCRIPTION_STATUS_MAP was here
rake aborted!
ForemanTasks::TaskError: Task 7f74606e-f281-4dd9-be67-34006c8cdd3c: Katello::Errors::PulpError: PLP0000: Configuration errors:
The configuration parameter <basic_auth_username> requires the <basic_auth_password> parameter to also be set.
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.4.3/lib/foreman_tasks.rb:55:in `block in sync_task'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.4.3/lib/foreman_tasks.rb:54:in `tap'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.13.4.3/lib/foreman_tasks.rb:54:in `sync_task'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.46/lib/katello/tasks/upgrades/3.0/add_export_distributor.rake:9:in `block (5 levels) in <top (required)>'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:63:in `block (2 levels) in find_each'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:63:in `each'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:63:in `block in find_each'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:129:in `block in find_in_batches'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:230:in `block in in_batches'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:214:in `loop'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:214:in `in_batches'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:128:in `find_in_batches'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation/batches.rb:62:in `find_each'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/querying.rb:9:in `find_each'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.46/lib/katello/tasks/upgrades/3.0/add_export_distributor.rake:8:in `block (4 levels) in <top (required)>'
/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'
Tasks: TOP => katello:upgrades:3.0:add_export_distributor
(See full trace by running task with --trace)
Refreshing existing repositories to add export distributor
foreman-rake katello:upgrades:3.0:add_export_distributor failed! Check the output for error!
Upgrade step add_export_distributor failed. Check logs for more information.
                                      [FAIL]
Failed executing LANG=en_US.utf-8 satellite-installer --upgrade, exit status 1
--------------------------------------------------------------------------------
Scenario [Migration scripts to Satellite 6.4] failed.

The following steps ended up in failing state:

  [installer-upgrade]

Resolve the failed steps and rerun
the command. In case the failures are false positives,
use --whitelist="installer-upgrade"
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Comment 16 Bryan Kearney 2019-01-25 07:05:56 UTC
Upstream bug assigned to stbenjam

Comment 21 vijsingh 2019-02-12 17:01:23 UTC
Verified:

@Satellite 6.4.2 Snap 2.0

Steps/Observation:

  - Installed Satellite on 6.3.5 GA version
  - Created two repos
    a. one with upstream username only
    b. one with upstream password only

  - Upgraded Satellite @Satellite 6.4.2 Snap 2.0
  - Post-upgrade upstream username/password does not exists on both repos

Comment 24 errata-xmlrpc 2019-02-13 19:08:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0345


Note You need to log in before you can comment on or make changes to this bug.